
<!DOCTYPE html>
<html lang="en">

{% include head.html %}

<body>

  {% include menu.html %}

{% assign entries = site.pages | sort: "dir"  %}
{% assign application_folder = page.dir | replace_first: "/", "" | split: "/" | first %}

  <div id="gzl-container" class="container-fluid">
    <div class="page-header">
      <h1 id="top">{{ page.dir | replace_first: "/", "" | split: "/" | first  | replace: "-", " " }}
        <small>
          <select class="form-control-doc" onchange="this.options[this.selectedIndex].value && (window.location = this.options[this.selectedIndex].value);">
            {% for entry in entries %}
              {% if entry.url contains application_folder %}
                {% if entry.url == page.url %}
                  <option value="{{ site.baseurl }}{{ entry.url }}" selected="">{{ entry.title | capitalize | escape  }} {{entry.toolversion}}</option>
                {% else %}
                  <option value="{{ site.baseurl }}{{ entry.url }}">{{ entry.title | capitalize | escape  }} {{entry.toolversion}}</option>
                {% endif %}
              {% endif %}
            {% endfor %}
          </select>
        </small>
      </h1>
    </div>

    <div class="row">
      <div id="sidebar" class="col-sm-3 col-md-3 scrollspy">
        <p><i>Last updated on {{ page.releasedate }}</i></p>
        <nav id="nav-sidebar" class="gzl-sidebar">
          <ul id="nav" class="nav">

          </ul>
        </nav>
      </div>
      <div class="col-md-9 documentation">
        {{ content }}
      </div>
    </div>
  </div>

  {% include footer.html %}
  {% include footer_js.html %}
  <script>

  $("img").addClass("img-responsive img-thumbnail");

  all_titles = document.querySelectorAll("h1, h2, h3");
  <!-- Remove first page title as it is the application title with the page viewed -->
  var titles = [].slice.call(all_titles, 1);

  function menuEntry(id, title) {
    return "<li><a href=\"#" + id + "\">" + title + "</a></li>";
  }

  function indentMenu(levelIn,tag) {
    var indentUl="";
    for (var i = 0, indent = levelIn; i < indent; i++) {
        indentUl += tag;
    }
    return indentUl;
  }

  function getIndentLevel(tagName){
    if(tagName === "H2"){
      return 1;
    }else if(tagName === "H3"){
      return 2;
    }
    return 0;
  }

  var menu = "<ul>\n";

  for (var i = 0, len = titles.length; i < len; i++) {
    title = titles[i];
    var indent_level = getIndentLevel(title.tagName );
    menu += indentMenu(indent_level,"<ul>\n");
    menu += menuEntry(title.id, title.textContent);
    menu += indentMenu(indent_level,"</ul>\n");
  }

  menu += "</ul>";
  menu += menuEntry("top", "Back to top");

  document.getElementById('nav').innerHTML = menu
  </script>
</body>
</html>
